Package twisted :: Package protocols :: Module ftp :: Class ProtocolWrapper |
[frames | no frames]

## Class ProtocolWrapper

    BaseProtocol --+
                   |
            Protocol --+
                       |
                      ProtocolWrapper

Method Summary
| `__init__(self, original, deferred)`
| ``connectionFailed`(self)` (Deprecated)
| `connectionLost(self, reason)`
| ``dataReceived`(self, data)` Called whenever data is received.
| ``makeConnection`(self, transport)` Make a connection to a transport and a server.
Inherited from BaseProtocol
| ``connectionMade`(self)` Called when a connection is made.

Class Variable Summary
Inherited from Protocol
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
Inherited from BaseProtocol
`int` | `connected` = 0
`NoneType` | `transport` = None

Method Details

### connectionFailed(self) (Deprecated) This used to be called when the connection was not properly established. Overrides: `twisted.internet.protocol.Protocol.connectionFailed` (inherited documentation)

### dataReceived(self, data) Called whenever data is received. Use this method to translate to a higher-level message. Usually, some callback will be made upon the receipt of each complete protocol message. Parameters: `data` - a string of indeterminate length. Please keep in mind that you will probably need to buffer some data, as partial (or multiple) protocol messages may be received! I recommend that unit tests for protocols call through to this method with differing chunk sizes, down to one byte at a time. Overrides: `twisted.internet.protocol.Protocol.dataReceived` (inherited documentation)

### makeConnection(self, transport) Make a connection to a transport and a server. This sets the 'transport' attribute of this Protocol, and calls the connectionMade() callback. Overrides: `twisted.internet.protocol.BaseProtocol.makeConnection` (inherited documentation)

Generated by Epydoc 2.0 on Sat Oct 25 00:54:58 2003 | http://epydoc.sf.net